Index: /trunk/doc/Flair/classflair_1_1core_1_1_one_axis_rotation.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1core_1_1_one_axis_rotation.js	(revision 55)
+++ /trunk/doc/Flair/classflair_1_1core_1_1_one_axis_rotation.js	(revision 56)
@@ -1,5 +1,9 @@
 var classflair_1_1core_1_1_one_axis_rotation =
 [
-    [ "OneAxisRotation", "classflair_1_1core_1_1_one_axis_rotation.html#ae690cdd68274085cdad88fb990739ba2", null ],
+    [ "RotationType_t", "classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495", [
+      [ "PreRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495a557e83099f72841e6606346c9e5f586b", null ],
+      [ "PostRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495abaf82373282063be289c070dda3d3a07", null ]
+    ] ],
+    [ "OneAxisRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a85a24d18b48761166caa4f037b13ebb4", null ],
     [ "~OneAxisRotation", "classflair_1_1core_1_1_one_axis_rotation.html#adb99d2f257c0600f9d56813d1b72fe6b", null ],
     [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a59b74b5059d847710803259bd1b8f1c1", null ],
Index: /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js
===================================================================
--- /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 55)
+++ /trunk/doc/Flair/classflair_1_1meta_1_1_uav.js	(revision 56)
@@ -14,4 +14,5 @@
     [ "GetVerticalCamera", "classflair_1_1meta_1_1_uav.html#a715d1259e41867078cb9dcf8bebd404e", null ],
     [ "GetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29", null ],
+    [ "GetGps", "classflair_1_1meta_1_1_uav.html#a195bed31e7f89e8eba1948bbaf4c0110", null ],
     [ "GetDefaultVrpnAddress", "classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44", null ],
     [ "isReadyToFly", "classflair_1_1meta_1_1_uav.html#a9cdc97a1b23e95add9f45a1e74c0a2ec", null ],
@@ -23,4 +24,5 @@
     [ "SetBatteryMonitor", "classflair_1_1meta_1_1_uav.html#adb32e59418a6bc3980c0aec829a5eb70", null ],
     [ "SetVerticalCamera", "classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4", null ],
-    [ "SetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3", null ]
+    [ "SetHorizontalCamera", "classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3", null ],
+    [ "SetGps", "classflair_1_1meta_1_1_uav.html#aafcdd640a8166e3994d9cd5a23cab363", null ]
 ];
Index: /trunk/doc/Flair/navtreedata.js
===================================================================
--- /trunk/doc/Flair/navtreedata.js	(revision 55)
+++ /trunk/doc/Flair/navtreedata.js	(revision 56)
@@ -33,9 +33,9 @@
 "_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9",
 "classflair_1_1core_1_1_i_o_data_element.html",
-"classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3",
-"classflair_1_1filter_1_1_x4_x8_multiplex.html",
-"classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9a90589c47f06eb971d548591f23c285af",
-"classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f",
-"functions_func_w.html"
+"classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df",
+"classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0",
+"classflair_1_1meta_1_1_uav_state_machine.html#a5d199a6fe92006ab0a76eda9b723a256",
+"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3",
+"functions_func_r.html"
 ];
 
Index: /trunk/doc/Flair/navtreeindex2.js
===================================================================
--- /trunk/doc/Flair/navtreeindex2.js	(revision 55)
+++ /trunk/doc/Flair/navtreeindex2.js	(revision 56)
@@ -82,12 +82,15 @@
 "classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf":[1,0,0,1,21,8],
 "classflair_1_1core_1_1_one_axis_rotation.html":[1,0,0,1,22],
-"classflair_1_1core_1_1_one_axis_rotation.html#a311d0fbae6722ce463f8f20a1c17545b":[1,0,0,1,22,6],
-"classflair_1_1core_1_1_one_axis_rotation.html#a3aeb426d4ddd9d33447b86887539eeb5":[1,0,0,1,22,5],
-"classflair_1_1core_1_1_one_axis_rotation.html#a59b74b5059d847710803259bd1b8f1c1":[1,0,0,1,22,2],
-"classflair_1_1core_1_1_one_axis_rotation.html#a9326b1fdeae7a485235c8bec5191fcde":[1,0,0,1,22,3],
-"classflair_1_1core_1_1_one_axis_rotation.html#a95eafcd87e97beacc6e11370a8dde4ff":[1,0,0,1,22,4],
-"classflair_1_1core_1_1_one_axis_rotation.html#adb99d2f257c0600f9d56813d1b72fe6b":[1,0,0,1,22,1],
-"classflair_1_1core_1_1_one_axis_rotation.html#ae690cdd68274085cdad88fb990739ba2":[1,0,0,1,22,0],
-"classflair_1_1core_1_1_one_axis_rotation.html#af3f1d2cbb28501721998f0ccbbdf6710":[1,0,0,1,22,7],
+"classflair_1_1core_1_1_one_axis_rotation.html#a311d0fbae6722ce463f8f20a1c17545b":[1,0,0,1,22,7],
+"classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495":[1,0,0,1,22,0],
+"classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495a557e83099f72841e6606346c9e5f586b":[1,0,0,1,22,0,0],
+"classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495abaf82373282063be289c070dda3d3a07":[1,0,0,1,22,0,1],
+"classflair_1_1core_1_1_one_axis_rotation.html#a3aeb426d4ddd9d33447b86887539eeb5":[1,0,0,1,22,6],
+"classflair_1_1core_1_1_one_axis_rotation.html#a59b74b5059d847710803259bd1b8f1c1":[1,0,0,1,22,3],
+"classflair_1_1core_1_1_one_axis_rotation.html#a85a24d18b48761166caa4f037b13ebb4":[1,0,0,1,22,1],
+"classflair_1_1core_1_1_one_axis_rotation.html#a9326b1fdeae7a485235c8bec5191fcde":[1,0,0,1,22,4],
+"classflair_1_1core_1_1_one_axis_rotation.html#a95eafcd87e97beacc6e11370a8dde4ff":[1,0,0,1,22,5],
+"classflair_1_1core_1_1_one_axis_rotation.html#adb99d2f257c0600f9d56813d1b72fe6b":[1,0,0,1,22,2],
+"classflair_1_1core_1_1_one_axis_rotation.html#af3f1d2cbb28501721998f0ccbbdf6710":[1,0,0,1,22,8],
 "classflair_1_1core_1_1_quaternion.html":[1,0,0,1,23],
 "classflair_1_1core_1_1_quaternion.html#a08b196fb32f87dd62e6a3906e5ecaf2c":[1,0,0,1,23,8],
@@ -247,7 +250,4 @@
 "classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e":[1,0,0,1,39,0],
 "classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751":[1,0,0,1,39,3],
-"classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19":[1,0,0,1,39,8],
-"classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df":[1,0,0,1,39,1],
-"classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389":[1,0,0,1,39,14],
-"classflair_1_1core_1_1_vector2_d.html#a806eaaf09726b63320b68911bef05911":[1,0,0,1,39,10]
+"classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19":[1,0,0,1,39,8]
 };
Index: /trunk/doc/Flair/navtreeindex3.js
===================================================================
--- /trunk/doc/Flair/navtreeindex3.js	(revision 55)
+++ /trunk/doc/Flair/navtreeindex3.js	(revision 56)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX3 =
 {
+"classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df":[1,0,0,1,39,1],
+"classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389":[1,0,0,1,39,14],
+"classflair_1_1core_1_1_vector2_d.html#a806eaaf09726b63320b68911bef05911":[1,0,0,1,39,10],
 "classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3":[1,0,0,1,39,4],
 "classflair_1_1core_1_1_vector2_d.html#a8217462c874479f7bad85b653a1b6e22":[1,0,0,1,39,12],
@@ -247,7 +250,4 @@
 "classflair_1_1filter_1_1_uav_multiplex.html#aa9a7e053431c9a266df9754da194132d":[1,0,0,2,15,9],
 "classflair_1_1filter_1_1_uav_multiplex.html#ab63686eef3ef921295f61b4df1bc8045":[1,0,0,2,15,4],
-"classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f":[1,0,0,2,15,13],
-"classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0":[1,0,0,2,15,8],
-"classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff":[1,0,0,2,15,5],
-"classflair_1_1filter_1_1_uav_multiplex.html#ad60d60974b3e894b6bae8e39665bb24b":[1,0,0,2,15,10]
+"classflair_1_1filter_1_1_uav_multiplex.html#abe109c8fdbdb72badd5947f38e344e6f":[1,0,0,2,15,13]
 };
Index: /trunk/doc/Flair/navtreeindex4.js
===================================================================
--- /trunk/doc/Flair/navtreeindex4.js	(revision 55)
+++ /trunk/doc/Flair/navtreeindex4.js	(revision 56)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX4 =
 {
+"classflair_1_1filter_1_1_uav_multiplex.html#ac8938ae194aa4cb399ac87fc0acd10b0":[1,0,0,2,15,8],
+"classflair_1_1filter_1_1_uav_multiplex.html#acce7153720afb9f7478dd3293095eeff":[1,0,0,2,15,5],
+"classflair_1_1filter_1_1_uav_multiplex.html#ad60d60974b3e894b6bae8e39665bb24b":[1,0,0,2,15,10],
 "classflair_1_1filter_1_1_x4_x8_multiplex.html":[1,0,0,2,16],
 "classflair_1_1filter_1_1_x4_x8_multiplex.html#a1d01e1773c2550552e9704f267a74ba8":[1,0,0,2,16,5],
@@ -206,25 +209,27 @@
 "classflair_1_1meta_1_1_uav.html":[1,0,0,4,6],
 "classflair_1_1meta_1_1_uav.html#a03fdd9b52f7ffa4da19653ab7a598b29":[1,0,0,4,6,12],
-"classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44":[1,0,0,4,6,13],
+"classflair_1_1meta_1_1_uav.html#a095040838a4078e62d6eddac7eab5f44":[1,0,0,4,6,14],
+"classflair_1_1meta_1_1_uav.html#a195bed31e7f89e8eba1948bbaf4c0110":[1,0,0,4,6,13],
 "classflair_1_1meta_1_1_uav.html#a39e84427251c38fe95fff8c93541d5f9":[1,0,0,4,6,4],
-"classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08":[1,0,0,4,6,19],
+"classflair_1_1meta_1_1_uav.html#a455add1267f93f0f5ee6c40fc7e78e08":[1,0,0,4,6,20],
 "classflair_1_1meta_1_1_uav.html#a52826951585d7194a016ce8a31d9f62e":[1,0,0,4,6,9],
-"classflair_1_1meta_1_1_uav.html#a594e44502d58c8886d006dce444304c8":[1,0,0,4,6,18],
-"classflair_1_1meta_1_1_uav.html#a5eab979789e79a4101f6d5de3d07baed":[1,0,0,4,6,15],
+"classflair_1_1meta_1_1_uav.html#a594e44502d58c8886d006dce444304c8":[1,0,0,4,6,19],
+"classflair_1_1meta_1_1_uav.html#a5eab979789e79a4101f6d5de3d07baed":[1,0,0,4,6,16],
 "classflair_1_1meta_1_1_uav.html#a6c6738ce289162235fa2942f55900bfe":[1,0,0,4,6,3],
 "classflair_1_1meta_1_1_uav.html#a715d1259e41867078cb9dcf8bebd404e":[1,0,0,4,6,11],
-"classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3":[1,0,0,4,6,22],
+"classflair_1_1meta_1_1_uav.html#a78c1a1f0344c91f9aac4bb62f32714c3":[1,0,0,4,6,23],
 "classflair_1_1meta_1_1_uav.html#a79131875459876ba53cfc0a1b76b0b93":[1,0,0,4,6,7],
 "classflair_1_1meta_1_1_uav.html#a84f35ffaf00d4fc0bd113dcbfb8d140e":[1,0,0,4,6,2],
 "classflair_1_1meta_1_1_uav.html#a94fc2067e306f6e82b725e117eab0f0f":[1,0,0,4,6,5],
-"classflair_1_1meta_1_1_uav.html#a9cdc97a1b23e95add9f45a1e74c0a2ec":[1,0,0,4,6,14],
+"classflair_1_1meta_1_1_uav.html#a9cdc97a1b23e95add9f45a1e74c0a2ec":[1,0,0,4,6,15],
 "classflair_1_1meta_1_1_uav.html#aa512f51f51b53bdf92821532727f2db7":[1,0,0,4,6,0],
 "classflair_1_1meta_1_1_uav.html#aafa599a87ab1774de193d5b18474e2b7":[1,0,0,4,6,1],
+"classflair_1_1meta_1_1_uav.html#aafcdd640a8166e3994d9cd5a23cab363":[1,0,0,4,6,24],
 "classflair_1_1meta_1_1_uav.html#ab55e2500e42ede92950de3efbc1e58e1":[1,0,0,4,6,8],
-"classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4":[1,0,0,4,6,16],
-"classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4":[1,0,0,4,6,21],
-"classflair_1_1meta_1_1_uav.html#adb32e59418a6bc3980c0aec829a5eb70":[1,0,0,4,6,20],
+"classflair_1_1meta_1_1_uav.html#ab6f21b4db412eccba2d16b914496a8e4":[1,0,0,4,6,17],
+"classflair_1_1meta_1_1_uav.html#ad96792706400e63bc6ab9281780285d4":[1,0,0,4,6,22],
+"classflair_1_1meta_1_1_uav.html#adb32e59418a6bc3980c0aec829a5eb70":[1,0,0,4,6,21],
 "classflair_1_1meta_1_1_uav.html#ae099b8f2558a125d2ac14aa04bb8e1d6":[1,0,0,4,6,6],
-"classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f":[1,0,0,4,6,17],
+"classflair_1_1meta_1_1_uav.html#ae4d2df5677c51f4083b9f3d93e5d275f":[1,0,0,4,6,18],
 "classflair_1_1meta_1_1_uav.html#af6ace6e08682f12a6702d674fe66ce32":[1,0,0,4,6,10],
 "classflair_1_1meta_1_1_uav_state_machine.html":[1,0,0,4,7],
@@ -245,9 +250,4 @@
 "classflair_1_1meta_1_1_uav_state_machine.html#a479a742afa89d898c03aeb0a06d8f290":[1,0,0,4,7,20],
 "classflair_1_1meta_1_1_uav_state_machine.html#a47ae3142c18f797bfba0b209e8518650":[1,0,0,4,7,21],
-"classflair_1_1meta_1_1_uav_state_machine.html#a4d6998ef27892a685ff1f0d1be600f72":[1,0,0,4,7,30],
-"classflair_1_1meta_1_1_uav_state_machine.html#a5d199a6fe92006ab0a76eda9b723a256":[1,0,0,4,7,10],
-"classflair_1_1meta_1_1_uav_state_machine.html#a6af7f575d90ef500717a999ea4c4afef":[1,0,0,4,7,39],
-"classflair_1_1meta_1_1_uav_state_machine.html#a6b98450ff11f0d3bb4e72c03f654f293":[1,0,0,4,7,24],
-"classflair_1_1meta_1_1_uav_state_machine.html#a70002c653806c3e18f3f04ae46b4e24b":[1,0,0,4,7,15],
-"classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9":[1,0,0,4,7,0]
+"classflair_1_1meta_1_1_uav_state_machine.html#a4d6998ef27892a685ff1f0d1be600f72":[1,0,0,4,7,30]
 };
Index: /trunk/doc/Flair/navtreeindex5.js
===================================================================
--- /trunk/doc/Flair/navtreeindex5.js	(revision 55)
+++ /trunk/doc/Flair/navtreeindex5.js	(revision 56)
@@ -1,4 +1,9 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1meta_1_1_uav_state_machine.html#a5d199a6fe92006ab0a76eda9b723a256":[1,0,0,4,7,10],
+"classflair_1_1meta_1_1_uav_state_machine.html#a6af7f575d90ef500717a999ea4c4afef":[1,0,0,4,7,39],
+"classflair_1_1meta_1_1_uav_state_machine.html#a6b98450ff11f0d3bb4e72c03f654f293":[1,0,0,4,7,24],
+"classflair_1_1meta_1_1_uav_state_machine.html#a70002c653806c3e18f3f04ae46b4e24b":[1,0,0,4,7,15],
+"classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9":[1,0,0,4,7,0],
 "classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9a90589c47f06eb971d548591f23c285af":[1,0,0,4,7,0,1],
 "classflair_1_1meta_1_1_uav_state_machine.html#a70c5fee2723003181c3f40304ff161b9ae1ba155a9f2e8c3be94020eef32a0301":[1,0,0,4,7,0,0],
@@ -245,9 +250,4 @@
 "classflair_1_1sensor_1_1_simu_camera_g_l.html#a987491210b9f028b3286d0a04e6a3900":[1,0,0,5,17,1],
 "classflair_1_1sensor_1_1_simu_camera_g_l.html#ab9fed80b79343744331b8cf6c2d22b9e":[1,0,0,5,17,2],
-"classflair_1_1sensor_1_1_simu_gps.html":[1,0,0,5,18],
-"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,18,2],
-"classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b":[1,0,0,5,18,1],
-"classflair_1_1sensor_1_1_simu_gps.html#ab44c7691b45759ee6529031d67b07c76":[1,0,0,5,18,0],
-"classflair_1_1sensor_1_1_simu_imu.html":[1,0,0,5,19],
-"classflair_1_1sensor_1_1_simu_imu.html#a021162094240f8debbd3cb6d45f3ac7a":[1,0,0,5,19,0]
+"classflair_1_1sensor_1_1_simu_gps.html":[1,0,0,5,18]
 };
Index: /trunk/doc/Flair/navtreeindex6.js
===================================================================
--- /trunk/doc/Flair/navtreeindex6.js	(revision 55)
+++ /trunk/doc/Flair/navtreeindex6.js	(revision 56)
@@ -1,4 +1,9 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,18,2],
+"classflair_1_1sensor_1_1_simu_gps.html#a920cb6176e8af975256906778136be4b":[1,0,0,5,18,1],
+"classflair_1_1sensor_1_1_simu_gps.html#ab44c7691b45759ee6529031d67b07c76":[1,0,0,5,18,0],
+"classflair_1_1sensor_1_1_simu_imu.html":[1,0,0,5,19],
+"classflair_1_1sensor_1_1_simu_imu.html#a021162094240f8debbd3cb6d45f3ac7a":[1,0,0,5,19,0],
 "classflair_1_1sensor_1_1_simu_imu.html#a6f0151ed75fa6039f7e5fc940240c25f":[1,0,0,5,19,1],
 "classflair_1_1sensor_1_1_simu_imu.html#a993428f50639a60e8df139f3e23f92bf":[1,0,0,5,19,2],
@@ -220,6 +225,6 @@
 "cvmatrix__descriptor_8h_source.html":[2,0,22],
 "files.html":[2,0],
+"functions.html":[1,3,0,0],
 "functions.html":[1,3,0],
-"functions.html":[1,3,0,0],
 "functions_b.html":[1,3,0,1],
 "functions_c.html":[1,3,0,2],
@@ -229,6 +234,6 @@
 "functions_eval.html":[1,3,4],
 "functions_f.html":[1,3,0,5],
+"functions_func.html":[1,3,1],
 "functions_func.html":[1,3,1,0],
-"functions_func.html":[1,3,1],
 "functions_func_b.html":[1,3,1,1],
 "functions_func_c.html":[1,3,1,2],
@@ -245,9 +250,4 @@
 "functions_func_o.html":[1,3,1,13],
 "functions_func_p.html":[1,3,1,14],
-"functions_func_q.html":[1,3,1,15],
-"functions_func_r.html":[1,3,1,16],
-"functions_func_s.html":[1,3,1,17],
-"functions_func_t.html":[1,3,1,18],
-"functions_func_u.html":[1,3,1,19],
-"functions_func_v.html":[1,3,1,20]
+"functions_func_q.html":[1,3,1,15]
 };
Index: /trunk/doc/Flair/navtreeindex7.js
===================================================================
--- /trunk/doc/Flair/navtreeindex7.js	(revision 55)
+++ /trunk/doc/Flair/navtreeindex7.js	(revision 56)
@@ -1,4 +1,9 @@
 var NAVTREEINDEX7 =
 {
+"functions_func_r.html":[1,3,1,16],
+"functions_func_s.html":[1,3,1,17],
+"functions_func_t.html":[1,3,1,18],
+"functions_func_u.html":[1,3,1,19],
+"functions_func_v.html":[1,3,1,20],
 "functions_func_w.html":[1,3,1,21],
 "functions_func_x.html":[1,3,1,22],
@@ -40,10 +45,10 @@
 "namespaceflair.html":[1,0,0],
 "namespaceflair.html":[0,0,0],
+"namespaceflair_1_1actuator.html":[1,0,0,0],
 "namespaceflair_1_1actuator.html":[0,0,0,0],
-"namespaceflair_1_1actuator.html":[1,0,0,0],
+"namespaceflair_1_1core.html":[0,0,0,1],
 "namespaceflair_1_1core.html":[1,0,0,1],
-"namespaceflair_1_1core.html":[0,0,0,1],
+"namespaceflair_1_1filter.html":[1,0,0,2],
 "namespaceflair_1_1filter.html":[0,0,0,2],
-"namespaceflair_1_1filter.html":[1,0,0,2],
 "namespaceflair_1_1gui.html":[1,0,0,3],
 "namespaceflair_1_1gui.html":[0,0,0,3],
@@ -52,6 +57,6 @@
 "namespaceflair_1_1sensor.html":[0,0,0,5],
 "namespaceflair_1_1sensor.html":[1,0,0,5],
+"namespaceflair_1_1simulator.html":[0,0,0,6],
 "namespaceflair_1_1simulator.html":[1,0,0,6],
-"namespaceflair_1_1simulator.html":[0,0,0,6],
 "namespacemembers.html":[0,1,0],
 "namespacemembers_func.html":[0,1,1],
Index: /trunk/doc/Flair/search/all_b.js
===================================================================
--- /trunk/doc/Flair/search/all_b.js	(revision 55)
+++ /trunk/doc/Flair/search/all_b.js	(revision 56)
@@ -49,5 +49,5 @@
   ['launchfinished',['launchFinished',['http://qt-project.org/doc/qt-4.8/q3process.html#launchFinished',0,'Q3Process']]],
   ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html',1,'flair::gui']]],
-  ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()']]],
+  ['layout',['layout',['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()'],['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()']]],
   ['layout_2eh',['Layout.h',['../_layout_8h.html',1,'']]],
   ['layoutabouttobechanged',['layoutAboutToBeChanged',['http://qt-project.org/doc/qt-4.8/qabstractitemmodel.html#layoutAboutToBeChanged',0,'QAbstractItemModel']]],
Index: /trunk/doc/Flair/search/all_d.js
===================================================================
--- /trunk/doc/Flair/search/all_d.js	(revision 55)
+++ /trunk/doc/Flair/search/all_d.js	(revision 56)
@@ -97,5 +97,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry() const']]],
-  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()']]],
+  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: /trunk/doc/Flair/search/all_e.js
===================================================================
--- /trunk/doc/Flair/search/all_e.js	(revision 55)
+++ /trunk/doc/Flair/search/all_e.js	(revision 56)
@@ -34,5 +34,5 @@
   ['oncanvas',['onCanvas',['http://qt-project.org/doc/qt-4.8/q3canvas.html#onCanvas',0,'Q3Canvas::onCanvas(int x, int y) const'],['http://qt-project.org/doc/qt-4.8/q3canvas.html#onCanvas-2',0,'Q3Canvas::onCanvas(const QPoint &amp;p) const']]],
   ['oncard',['onCard',['http://qt-project.org/doc/qt-4.8/qproxyscreen.html#onCard',0,'QProxyScreen::onCard(const unsigned char *ptr) const'],['http://qt-project.org/doc/qt-4.8/qproxyscreen.html#onCard-2',0,'QProxyScreen::onCard(const unsigned char *ptr, ulong &amp;offset) const'],['http://qt-project.org/doc/qt-4.8/qscreen.html#onCard',0,'QScreen::onCard(const unsigned char *buffer) const'],['http://qt-project.org/doc/qt-4.8/qscreen.html#onCard-2',0,'QScreen::onCard(const unsigned char *buffer, ulong &amp;offset) const']]],
-  ['oneaxisrotation',['OneAxisRotation',['../classflair_1_1core_1_1_one_axis_rotation.html#ae690cdd68274085cdad88fb990739ba2',1,'flair::core::OneAxisRotation']]],
+  ['oneaxisrotation',['OneAxisRotation',['../classflair_1_1core_1_1_one_axis_rotation.html#a85a24d18b48761166caa4f037b13ebb4',1,'flair::core::OneAxisRotation']]],
   ['oneaxisrotation',['OneAxisRotation',['../classflair_1_1core_1_1_one_axis_rotation.html',1,'flair::core']]],
   ['oneaxisrotation_2eh',['OneAxisRotation.h',['../_one_axis_rotation_8h.html',1,'']]],
@@ -59,5 +59,5 @@
   ['openkeyboard',['openKeyboard',['http://qt-project.org/doc/qt-4.8/qwsserver.html#openKeyboard',0,'QWSServer']]],
   ['openlinks',['openLinks',['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#openLinks-prop',0,'QTextBrowser::openLinks()'],['http://qt-project.org/doc/qt-4.8/qtextbrowser.html#openLinks-prop',0,'QTextBrowser::openLinks() const']]],
-  ['openmode',['openMode',['http://qt-project.org/doc/qt-4.8/qiodevice.html#openMode',0,'QIODevice::openMode() const'],['http://qt-project.org/doc/qt-4.8/qiodevice.html#OpenMode-typedef',0,'QIODevice::OpenMode()']]],
+  ['openmode',['OpenMode',['http://qt-project.org/doc/qt-4.8/qiodevice.html#OpenMode-typedef',0,'QIODevice::OpenMode()'],['http://qt-project.org/doc/qt-4.8/qiodevice.html#openMode',0,'QIODevice::openMode() const']]],
   ['openmouse',['openMouse',['http://qt-project.org/doc/qt-4.8/qwsserver.html#openMouse',0,'QWSServer']]],
   ['openpersistenteditor',['openPersistentEditor',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#openPersistentEditor',0,'QAbstractItemView::openPersistentEditor()'],['http://qt-project.org/doc/qt-4.8/qlistwidget.html#openPersistentEditor',0,'QListWidget::openPersistentEditor()'],['http://qt-project.org/doc/qt-4.8/qtablewidget.html#openPersistentEditor',0,'QTableWidget::openPersistentEditor()'],['http://qt-project.org/doc/qt-4.8/qtreewidget.html#openPersistentEditor',0,'QTreeWidget::openPersistentEditor()']]],
Index: /trunk/doc/Flair/search/enums_6.js
===================================================================
--- /trunk/doc/Flair/search/enums_6.js	(revision 55)
+++ /trunk/doc/Flair/search/enums_6.js	(revision 56)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['tabposition_5ft',['TabPosition_t',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b',1,'flair::gui::TabWidget']]]
+  ['rotationtype_5ft',['RotationType_t',['../classflair_1_1core_1_1_one_axis_rotation.html#a327edc6a6cdc6af2abc763aea6618495',1,'flair::core::OneAxisRotation']]]
 ];
Index: /trunk/doc/Flair/search/enums_7.js
===================================================================
--- /trunk/doc/Flair/search/enums_7.js	(revision 55)
+++ /trunk/doc/Flair/search/enums_7.js	(revision 56)
@@ -1,4 +1,4 @@
 var searchData=
 [
-  ['uavtype_5ft',['UavType_t',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb',1,'flair::filter::X4X8Multiplex']]]
+  ['tabposition_5ft',['TabPosition_t',['../classflair_1_1gui_1_1_tab_widget.html#a3ec070a09776327645852225989ba31b',1,'flair::gui::TabWidget']]]
 ];
Index: /trunk/doc/Flair/search/enums_8.js
===================================================================
--- /trunk/doc/Flair/search/enums_8.js	(revision 56)
+++ /trunk/doc/Flair/search/enums_8.js	(revision 56)
@@ -0,0 +1,4 @@
+var searchData=
+[
+  ['uavtype_5ft',['UavType_t',['../classflair_1_1filter_1_1_x4_x8_multiplex.html#ae7be46c8a6e49d2b53a733416cfd0fcb',1,'flair::filter::X4X8Multiplex']]]
+];
Index: /trunk/doc/Flair/search/functions_b.js
===================================================================
--- /trunk/doc/Flair/search/functions_b.js	(revision 55)
+++ /trunk/doc/Flair/search/functions_b.js	(revision 56)
@@ -43,5 +43,5 @@
   ['launch',['launch',['http://qt-project.org/doc/qt-4.8/q3process.html#launch-2',0,'Q3Process::launch(const QString &amp;buf, QStringList *env)'],['http://qt-project.org/doc/qt-4.8/q3process.html#launch',0,'Q3Process::launch(const QByteArray &amp;buf, QStringList *env)']]],
   ['launchfinished',['launchFinished',['http://qt-project.org/doc/qt-4.8/q3process.html#launchFinished',0,'Q3Process']]],
-  ['layout',['Layout',['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()'],['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()']]],
+  ['layout',['layout',['http://qt-project.org/doc/qt-4.8/qtextblock.html#layout',0,'QTextBlock::layout()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#layout',0,'QWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayout.html#layout',0,'QLayout::layout()'],['http://qt-project.org/doc/qt-4.8/qgraphicswidget.html#layout-prop',0,'QGraphicsWidget::layout()'],['http://qt-project.org/doc/qt-4.8/qlayoutitem.html#layout',0,'QLayoutItem::layout()'],['../classflair_1_1gui_1_1_layout.html#ad6d4a13b128abbd64619fe90cbc44f46',1,'flair::gui::Layout::Layout()']]],
   ['layoutabouttobechanged',['layoutAboutToBeChanged',['http://qt-project.org/doc/qt-4.8/qabstractitemmodel.html#layoutAboutToBeChanged',0,'QAbstractItemModel']]],
   ['layoutbuttonrow',['layOutButtonRow',['http://qt-project.org/doc/qt-4.8/q3wizard.html#layOutButtonRow',0,'Q3Wizard']]],
